Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.merge
Class AbstractToDbToken

    java.lang.Object
      org.apache.cayenne.merge.AbstractToDbToken

All Implemented Interfaces:
  java.lang.Comparable<MergerToken>, MergerToken

Direct Known Subclasses:
  AddColumnToDb, AddRelationshipToDb, CreateTableToDb, DropColumnToDb, DropRelationshipToDb, DropTableToDb, SetAllowNullToDb, SetColumnTypeToDb, SetNotNullToDb, SetPrimaryKeyToDb, SetValueForNullToDb

    public abstract class AbstractToDbToken

extends java.lang.Object
implements MergerToken, java.lang.Comparable<MergerToken>

Common abstract superclass for all `MergerToken`s going from the model to the database.

Constructor Summary
`AbstractToDbToken()`

Method Summary
`abstract java.util.List<java.lang.String>` | `createSql(DbAdapter adapter)`
`void` | `execute(MergerContext mergerContext)`
`protected void` | `executeSql(MergerContext mergerContext, java.lang.String sql)`
`MergeDirection` | `getDirection()` The direction of this token.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.merge.MergerToken
`createReverse, getTokenName, getTokenValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### AbstractToDbToken

    public AbstractToDbToken()

Method Detail

### getDirection

    public final MergeDirection getDirection()

  Description copied from interface: `MergerToken`
  The direction of this token. One of `MergeDirection.TO_DB` or `MergeDirection.TO_MODEL`

  Specified by:
    `getDirection` in interface `MergerToken`

### execute

    public void execute(MergerContext mergerContext)

  Specified by:
    `execute` in interface `MergerToken`

### executeSql

    protected void executeSql(MergerContext mergerContext,
                              java.lang.String sql)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createSql

    public abstract java.util.List<java.lang.String> createSql(DbAdapter adapter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.